[Forgot Password]
Login  Register Subscribe

23631

 
 

115038

 
 

96174

 
 

909

 
 

78077

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2012-2149

Date: (C)2012-06-21   (M)2017-02-06
 
CVSS Score: 7.5Access Vector: NETWORK
Exploitability Subscore: 10.0Access Complexity: LOW
Impact Subscore: 6.4Authentication: NONE
 Confidentiality: PARTIAL
 Integrity: PARTIAL
 Availability: PARTIAL











The WPXContentListener::_closeTableRow function in WPXContentListener.cpp in libwpd 0.8.8, as used by OpenOffice.org (OOo) before 3.4, allows remote attackers to execute arbitrary code via a crafted Wordperfect .WPD document that causes a negative array index to be used. NOTE: some sources report this issue as an integer overflow.

Reference:
SECTRACK-1027069
http://archives.neohapsis.com/archives/bugtraq/2012-05/0090.html
SECUNIA-46992
BID-53570
SECUNIA-60799
GLSA-201408-19
RHSA-2012:1043
http://packetstormsecurity.org/files/112862/libwpd-WPXContentListener-_closeTableRow-Memory-Overwrite.html
http://www.openoffice.org/security/cves/CVE-2012-2149.html
https://www.sec-consult.com/files/20120518-0_openoffice_memory_overwrite.txt

CPE    3
cpe:/a:redhat:enterprise_linux__optional_productivity_applications
cpe:/a:apache:openoffice.org:3.4:beta_1
cpe:/o:redhat:enterprise_linux_desktop:5.0
CWE    1
CWE-189
OVAL    4
oval:org.secpod.oval:def:7153
oval:org.secpod.oval:def:7158
oval:org.secpod.oval:def:202364
oval:org.secpod.oval:def:500838
...

© 2013 SecPod Technologies